<%--All Common Variables used in Mapping.jsp DecisionTableConfig.jsp, ScenarioDetail.jsp file --%>
<%@page import="java.util.*" 
%><%@page import="com.fujitsu.ibpm.dtm.*"
%>
<%
        String decisionTableIdStr = request.getParameter("decisionTableId");
    int decisionTableId = (new Integer(decisionTableIdStr)).intValue();
    DecisionTableManager dtManager = (DecisionTableManager) session.getAttribute("DecisionTableManager");
    DecisionTable decisionTable = dtManager.getDecisionTable(decisionTableId); // returns the specified DecisionTable
    //returns all user selected Process Definitions
    List processDefinitions = decisionTable.getProcessDefinitions();
    Iterator processDefinitionsItr = processDefinitions.iterator();
    List udaNames = new ArrayList(); // contains all the User Defined Attributes
    List udaDisplayNames = new ArrayList(); // contains all the User Defined Attributes with the type and process definition
    List possibleSelections = decisionTable.getPossibleSelections();// returns Selections
    Iterator possibleSelectionsItr = possibleSelections.iterator();
    List conditionKeys = decisionTable.getConditionKeys();  // returns Condition Keys
    Iterator conditionKeysItr = conditionKeys.iterator();
%>